Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesBooking flow
Query availabilitySearch availabilityBookDefines for which services a coupon applies. Only checked when coupon.scope is service.
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"coupon_id": "00000000-0000-0000-0000-000000000000",
"service_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T07:07:29.825Z"
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
200A list of coupon services with the selected columns
206Partial Content
GET /coupon_servicescurl -X GET "https://api.bookingmood.com/v1/coupon_services?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<CouponService> | Array<Partial<CouponService>>201The newly created coupon services with the selected columns
POST /coupon_servicescurl -X POST "https://api.bookingmood.com/v1/coupon_services" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
204The deleted coupon services with the selected columns
DELETE /coupon_servicescurl -X DELETE "https://api.bookingmood.com/v1/coupon_services" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
Partial<CouponService>204The updated coupon services with the selected columns
PATCH /coupon_servicescurl -X PATCH "https://api.bookingmood.com/v1/coupon_services" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'